package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope.view;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_VIEW_SENSITIVE_LEVEL_PROJECT"
)
public class TViewSensitiveLevelProject extends TBaseEntity {
   private String projectname;
   private String projectid;
   private String columnid;
   private String directory_name;
   private String tschema;
   private String tablename;
   private String columnname;
   private String datasystemid;

   public String getProjectname() {
      return this.projectname;
   }

   public void setProjectname(String projectname) {
      this.projectname = projectname;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getColumnid() {
      return this.columnid;
   }

   public void setColumnid(String columnid) {
      this.columnid = columnid;
   }

   public String getDirectory_name() {
      return this.directory_name;
   }

   public void setDirectory_name(String directory_name) {
      this.directory_name = directory_name;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }
}
